curl --request POST \
--url https://crypto.westminister.tech/api/v1/auth/files/upload \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: multipart/form-data' \
--form file='@example-file' \
--form purpose=otc_bank_receipt{
"file_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"purpose": "<string>",
"file_name": "<string>",
"stored_name": "<string>",
"content_type": "<string>",
"size_bytes": 123,
"uploaded_at": "2023-11-07T05:31:56Z",
"file_url": "<string>"
}Uploads a file via multipart/form-data and returns a file_url that can be used as OTC proof_url.
For purpose=otc_bank_receipt, PDF is required.
curl --request POST \
--url https://crypto.westminister.tech/api/v1/auth/files/upload \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: multipart/form-data' \
--form file='@example-file' \
--form purpose=otc_bank_receipt{
"file_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"purpose": "<string>",
"file_name": "<string>",
"stored_name": "<string>",
"content_type": "<string>",
"size_bytes": 123,
"uploaded_at": "2023-11-07T05:31:56Z",
"file_url": "<string>"
}Documentation Index
Fetch the complete documentation index at: https://docs.crypto.westminister.tech/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.